/* 
 * File:   ChaletPowerRelay.h
 * Author: JF
 *
 * Created on November 30, 2018, 7:33 PM
 */

#ifndef BATTERYMONITOR_H
#define	BATTERYMONITOR_H
#include "define.h"




void InitBatteryMonitor();

void BatteryMonitorTick();
float GetBatteryVoltage(int Reset);
int GetSolarPanelCurrent();
int GetBatterySOC();
int SendNetworkBatteryData();
bool GetCurrentModuleOK();
float GetConvertedSolarPanelCurrent();


#endif	/* BATTERYMONITOR_H */

